-- 基础信息
base_info = {
	group_id = 133301159
}

-- DEFS_MISCS
defs =
{
    maxRegion = 159011,
    maxJumpTimes = 5,
    mushroomList = {
        [1] = {159001, 159002, 159017, 159018},
        [2] = {159004, 159005, 159019, 159020},
        [3] = {159007, 159008, 159021, 159022},
        [4] = {159010, 159012, 159023, 159024},
        [5] = {159014, 159015, 159025, 159026},
    },
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[159001] = { config_id = 159001, gadget_id = 70310488, pos = { x = -423.637, y = 210.411, z = 3517.600 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159002] = { config_id = 159002, gadget_id = 70310488, pos = { x = -422.841, y = 210.968, z = 3515.423 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159003] = { config_id = 159003, gadget_id = 70310488, pos = { x = -421.727, y = 210.571, z = 3519.155 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159004] = { config_id = 159004, gadget_id = 70310488, pos = { x = -417.921, y = 211.688, z = 3515.487 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159005] = { config_id = 159005, gadget_id = 70310488, pos = { x = -418.327, y = 211.837, z = 3513.001 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159006] = { config_id = 159006, gadget_id = 70310488, pos = { x = -416.039, y = 212.022, z = 3513.804 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159007] = { config_id = 159007, gadget_id = 70310488, pos = { x = -412.367, y = 212.557, z = 3517.527 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159008] = { config_id = 159008, gadget_id = 70310488, pos = { x = -413.162, y = 212.449, z = 3519.833 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159009] = { config_id = 159009, gadget_id = 70310488, pos = { x = -414.800, y = 212.461, z = 3518.091 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159010] = { config_id = 159010, gadget_id = 70310488, pos = { x = -421.621, y = 209.289, z = 3526.540 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159012] = { config_id = 159012, gadget_id = 70310488, pos = { x = -421.622, y = 209.583, z = 3523.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159013] = { config_id = 159013, gadget_id = 70310488, pos = { x = -419.686, y = 209.946, z = 3525.867 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159014] = { config_id = 159014, gadget_id = 70310488, pos = { x = -415.942, y = 211.151, z = 3524.077 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159015] = { config_id = 159015, gadget_id = 70310488, pos = { x = -415.945, y = 210.679, z = 3526.346 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159016] = { config_id = 159016, gadget_id = 70310488, pos = { x = -413.933, y = 211.456, z = 3525.254 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159017] = { config_id = 159017, gadget_id = 70310488, pos = { x = -417.921, y = 211.688, z = 3515.487 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159018] = { config_id = 159018, gadget_id = 70310488, pos = { x = -421.622, y = 209.583, z = 3523.717 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159019] = { config_id = 159019, gadget_id = 70310488, pos = { x = -412.367, y = 212.557, z = 3517.527 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159020] = { config_id = 159020, gadget_id = 70310488, pos = { x = -421.727, y = 210.571, z = 3519.155 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159021] = { config_id = 159021, gadget_id = 70310488, pos = { x = -417.921, y = 211.688, z = 3515.487 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159022] = { config_id = 159022, gadget_id = 70310488, pos = { x = -415.942, y = 211.151, z = 3524.077 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159023] = { config_id = 159023, gadget_id = 70310488, pos = { x = -423.367, y = 210.197, z = 3519.155 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159024] = { config_id = 159024, gadget_id = 70310488, pos = { x = -415.942, y = 211.151, z = 3524.077 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159025] = { config_id = 159025, gadget_id = 70310488, pos = { x = -419.686, y = 209.946, z = 3525.867 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 },
	[159026] = { config_id = 159026, gadget_id = 70310488, pos = { x = -413.768, y = 212.640, z = 3518.093 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 33, area_id = 22 }
}

-- 区域
regions = {
	[159011] = { config_id = 159011, shape = RegionShape.SPHERE, radius = 35, pos = { x = -418.114, y = 210.808, z = 3521.029 }, area_id = 22 }
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 159011 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_0/ContinuousTrampoline"
